function [vysH]=analyza(cesta,hymna,okam,hvizd,energie,handles,FileName)  %funkce pro hledani hymny
delkaS=120;%(s)      delka zpracovavaneho useku v (s) default 2min
i=1;
detekt=0;
y=zeros(100,1);
hvizd_string='';
while length(y)==delkaS*16000 ||i==1
    [y,fs]=readwav(cesta,'s',delkaS*16000,delkaS*16000*(i-1));
%     zde se budou volat funkce pro vykonani ukolu 
%       jako prvni je hymna
    if hymna==1 && i<5 && detekt==0  %tato analyza bude provedena pouze pro prvnich 10 minut utkani
        h_det=f_hymna(y,fs,i-1,delkaS,handles);
    end
%     detekce zakladniho tonu reci urceni vyznamnych okamziku
    if okam==1 || energie==1
        [F0 E]=f_F0(y,fs,i-1,delkaS);
        f_okam(F0,i-1,delkaS,handles);
    end
%     urceni hvizdu vyznam hvizdu
    if hvizd==1
        [hvizd_string result]=f_hvizd(y,fs,i-1,delkaS,handles,FileName);
    end
%     hozeni vseho do struktury pro jednu promenou na vsechno
    if okam==0;
        F0=0;
        E=0;
    end
    if hymna==0;
        h_det=0;
    end
    if hvizd==0
        hvizd_string='';
        result(2,1)=0;
    end
    vysH(i)=struct('ramec',hvizd_string,'time',result(2,:),'res',result(1,:)...
        ,'F0',F0,'hymna',h_det,'E',E);
%     set(handles.slider1,'Max',i);
%     if i>1
%         set(handles.slider1,'SliderStep',[1/(i-1) 1]);
%     end
%     set(handles.slider1,'Value',i);
%     set(handles.slider1,'Min',1);
    i=i+1;
    pause(0.001)
end





function y=preemfaze(x)
alpha=0.92;

h=[1 -alpha];

y=filter(h,1,x);